commonmark-extensions-0.2.7: Pure Haskell commonmark parser.

Safe Haskell | None
Language | Haskell2010

Commonmark.Extensions.Smart

# Documentation

class IsInline il => HasQuoted il where Source #

Methods

singleQuoted :: il -> il Source #

doubleQuoted :: il -> il Source #

#### Instances

Instances details

Rangeable (Html a) => HasQuoted (Html a) Source # |
Instance details Defined in Commonmark.Extensions.Smart Methods singleQuoted :: Html a -> Html a Source # doubleQuoted :: Html a -> Html a Source #
(HasQuoted i, Monoid i, Semigroup i) => HasQuoted (WithSourceMap i) Source # |
Instance details Defined in Commonmark.Extensions.Smart Methods singleQuoted :: WithSourceMap i -> WithSourceMap i Source # doubleQuoted :: WithSourceMap i -> WithSourceMap i Source #

smartPunctuationSpec :: forall (m :: Type -> Type) il bl. (Monad m, IsBlock il bl, IsInline il, HasQuoted il) => SyntaxSpec m il bl Source #